#include <bits/stdc++.h>
using namespace std;

unsigned testovi;
unsigned long long broj_ucenika[10], broj_bananica[10], broj_grupa[10], suma[10], ucenika_po_grupi[10];

int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);
	cin>>testovi;
	for(int i=0; i<testovi; i++){
		cin>>broj_ucenika[i]>>broj_bananica[i]>>broj_grupa[i];
	}
	for(int i=0; i<testovi; i++){
		if(broj_ucenika[i]%broj_grupa[i]==0){
			ucenika_po_grupi[i]=broj_ucenika[i]/broj_grupa[i];
			suma[i]=(ucenika_po_grupi[i]*(ucenika_po_grupi[i]+1))/2;
			if(broj_bananica[i]<suma[i]*broj_grupa[i]){
				cout<<"Nie"<<'\n';
			}
			else cout<<"Tak"<<'\n';
		}
		if(broj_ucenika[i]%broj_grupa[i]!=0){
			ucenika_po_grupi[i]=ceil(broj_ucenika[i]/broj_grupa[i]);
			suma[i]=(ucenika_po_grupi[i]*(ucenika_po_grupi[i]+1))/2;
			if(broj_bananica[i]<suma[i]*broj_grupa[i]+(ucenika_po_grupi[i]+1)*(broj_ucenika[i]%broj_grupa[i])){
				cout<<"Nie"<<'\n';
			}
			else cout<<"Tak"<<'\n';
		}
	}
	return 0;
}